<?php

function all_purpose_setup_sc () {
		$is_fresh_site = get_option( 'fresh_site' );

		if ( ! $is_fresh_site ) {
			return;
		}
	
	
	$demo_content = array(
		'options' => array(
		// Our Custom
		//'blogdescription' => 'My Awesome Blog',
			'button_1' => 'Read More',		
			'button_2' => 'Read More',		
		),
	);
	set_theme_mod( 'button_1', 'Read More' ).	
	set_theme_mod( 'button_2', 'Read More' ).	
	add_theme_support( 'starter-content', $demo_content );
    return apply_filters( 'all_purpose_starter_content', $demo_content );

}
	
add_action( 'after_setup_theme', 'all_purpose_setup_sc' );

